changing a KAR outside of a Kepler session fails without a clean-cache
11/04/2009 12:25 AM - Oliver Soong
Description

If | create a KAR, close Kepler, modify the ROML (unzip, text editor, re-zip), then replace the original KAR and start Kepler again, |
see the original report, which does not actually reflect the KAR file. A clean-cache will fix it.

This may not be a big issue, since few people are likely to edit the KAR file directly. On the other hand, | have modified workflow
XML files directly on a number of occasions.

| will attach two example files. One is the original and the other is hand-modified. To trigger this bug, the one has to replace the
other file, so they have to have the same name.

History

#3 - 11/04/2009 08:57 AM - ben leinfelder

Because objects are cached (report layouts, workflows, etc) | think it's reasonable to encounter the behavior you see.

Any modifications to those objects (or xml serializations of them) should be accompanied by an LSID revision change. | can see expecting to find the
"newer" revision of the layout if you did indeed manually update the LSID when you changed other things in the layout. If you did change the LSID,
then | feel like the cache isn't doing al that it could be. But if the LSID is exactly the same - then this makes complete sense.

I'm afraid this is a rare case...for most users.

#4 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4530

Files
test.kar 5.12 KB 11/04/2009 Oliver Soong
test.kar 5.11 KB 11/04/2009 Oliver Soong
